package pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn; // Java Package generated by the BNF Converter.

public class EIntC extends BasicExpr {
    public final String qinteger_;

    public EIntC(String p1) {

        qinteger_ = p1;
    }

    public <R, A> R accept(pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.BasicExpr.Visitor<R, A> v, A arg) {

        return v.visit(this, arg);
    }

    public int hashCode() {

        return this.qinteger_.hashCode();
    }

    public boolean equals(Object o) {

        if (this == o) return true;
        if (o instanceof pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.EIntC) {
            pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.EIntC x = (pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.EIntC) o;
            return this.qinteger_.equals(x.qinteger_);
        }
        return false;
    }


}
